Holger's Java API

## com.antelmann.image
Interface MotionDetector

All Known Implementing Classes:
  MotionDetectorImpl

    public interface MotionDetector

provides the ability to compare 2 images to each other to detect potential motion

Since:
  09.09.2010, 01:07:51
Author:
  Holger Antelmann

Method Summary
`double` `difference(BufferedImage image1, BufferedImage image2, Rectangle region)`
`double` `difference(InputStream imageData1, InputStream imageData2, Rectangle region)`
`boolean` `motionDetected(BufferedImage image1, BufferedImage image2)`
`boolean` `motionDetected(InputStream imageData1, InputStream imageData2)`

Method Detail

### motionDetected

    boolean motionDetected(BufferedImage image1,
                           BufferedImage image2)

### motionDetected

    boolean motionDetected(InputStream imageData1,
                           InputStream imageData2)
                           throws IOException

  Throws:
    `IOException`

### difference

    double difference(InputStream imageData1,
                      InputStream imageData2,
                      Rectangle region)
                      throws IOException

  Throws:
    `IOException`

### difference

    double difference(BufferedImage image1,
                      BufferedImage image2,
                      Rectangle region)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads